// *** Gestion de l'affichage des boutons de paramètrage ***

void AffichageBoutonConnecte()
{
  if (PortConnecte)
  {
    SelectPort 
      .setColorForeground(vert)
      .setColorActive(vert)
      ;
  } else {
    SelectPort 
      .setColorForeground(rouge)
      .setColorActive(rouge)
      ;
  }
}


void AfficherConfigurationImpression()
{
  int ConfigDCC1 = ConfigDCC+1;
  int ConfigDCC2 = ConfigDCC+2;
  int ConfigDCC3 = ConfigDCC+3;

  fill(CouleurFond);
  rect(530, 240, 230, 90, 10);
  fill(blanc);
  textFont(PoliceTitre2);
  text("Adresse Config DCC : "+ConfigDCC, Xmin-70, Ymin+130 + Ypas*0);
  textFont(PoliceTitre4);
  text("Adresse DCC Niveau sonore : " + ConfigDCC, Xmin-60, Ymin+130 + Ypas1*1);
  text("Adresse DCC Lecture / Pause : " + ConfigDCC1, Xmin-60, Ymin+130 + Ypas1*2);
  text("Adresse DCC Suivant / Précédent : " + ConfigDCC2, Xmin-60, Ymin+130 + Ypas1*3);
  text("Adresse DCC Aleatoire / Manuel : " + ConfigDCC3, Xmin-60, Ymin+130 + Ypas1*4);
  textFont(PoliceTitre2);
  text("Niveau Sonore : "+NiveauSonore, Xmin-70, Ymin+210 + Ypas*0);
  text("Adresse DCC Son N°1 : "+AdresseDCC1, Xmin-70, Ymin+210 + Ypas*1);
  text("Nbre de Sons (Cmd DCC) : "+NbreSonsManuel, Xmin-70, Ymin+210 + Ypas*2);
  int AdresseDCC2 = AdresseDCC1 + NbreSonsManuel;
  text("Adresses Sons en DCC de "+AdresseDCC1 + " à " + AdresseDCC2, Xmin-70, Ymin+210 + Ypas*3);
  text("N° du 1er Son en mode Aléatoire : "+NumSon1Aleatoire, Xmin-70, Ymin+210 + Ypas*4);
  text("Nombre de sons en mode Aléatoire : "+NbreSonsAleatoire, Xmin-70, Ymin+210 + Ypas*5);
  text("Tps Mini entre 2 fichiers Son : "+Interval_AleatoireB, Xmin-70, Ymin+210 + Ypas*6);
  text("Tps Maxi entre 2 fichiers Son : "+Interval_AleatoireH, Xmin-70, Ymin+210 + Ypas*7);
}


void AfficherConfiguration()
{
  if (NbrePort > 0)
  {
    if (ModeConfiguration==1)
    {
      fill(CouleurFond);
      rect(Xmin-80, Ymin, 470, 440, 10); 
      rect(530, 240, 230, 90, 10);

      BtNiveauSonorePlus.show();
      BtNiveauSonoreMoins.show();
      BtNiveauSonoreInter.show();
      BtAdresseDCCPlus1.show();
      BtAdresseDCCPlus10.show();
      BtAdresseDCCInter.show();
      BtAdresseDCCMoins1.show();
      BtAdresseDCCMoins10.show();
      BtConfigDCCPlus1.show();
      BtConfigDCCPlus10.show();
      BtConfigDCCInter.show();
      BtConfigDCCMoins1.show();
      BtConfigDCCMoins10.show();
      BtNbreSonsPlus.show();
      BtNbreSonsInter.show();
      BtNbreSonsMoins.show();
      BtNum1Plus.show();
      BtNum1Inter.show();
      BtNum1Moins.show();
      BtNbSonsAleaPlus.show();
      BtNbSonsAleaInter.show();
      BtNbSonsAleaMoins.show();
      BtTpsMiniPlus1.show();
      BtTpsMiniPlus10.show();
      BtTpsMiniInter.show();
      BtTpsMiniMoins1.show();
      BtTpsMiniMoins10.show();
      BtTpsMaxiPlus1.show();
      BtTpsMaxiPlus10.show();
      BtTpsMaxiInter.show();
      BtTpsMaxiMoins1.show();
      BtTpsMaxiMoins10.show();
      TexteSelectSonA.show();
      TexteSelectSonM.show();
      SliderSelectSonAleatoire.show();
      SliderSelectSonManuel.show();
      BtJouerM.show();
      BtJouerA.show();
      IconLecture.show();
      IconAleatoire.show();
      TexteLecture.show();
      TexteAleatoire.show();
      TexteNiveauSonore.show();
      TexteLecture.show();
      TexteAleatoire.show();
      TexteAdresseDCC1.show();
      TexteConfigDCC.show();
      TexteNbreSonsM.show();
      TexteNbreSonsA.show();
      TexteNumSon1A.show();
      TexteTempsMini.show();
      TexteTempsMaxi.show();
      IconCentrale.show();

      int ConfigDCC1 = ConfigDCC+1;
      int ConfigDCC2 = ConfigDCC+2;
      int ConfigDCC3 = ConfigDCC+3;

      fill(blanc);
      textFont(PoliceTitre2);
      text("Adresse Config DCC", Xmin-70, Ymin+30 + Ypas*0);

      if (ConfigDCC > 0)
      {
        textFont(PoliceTitre4);
        text("Adresse DCC Niveau sonore : " + ConfigDCC, Xmin-70, Ymin+30 + Ypas1*1);
        text("Adresse DCC Lecture / Pause : " + ConfigDCC1, Xmin-70, Ymin+30 + Ypas1*2);
        text("Adresse DCC Suivant / Précédent : " + ConfigDCC2, Xmin-70, Ymin+30 + Ypas1*3);
        text("Adresse DCC Aleatoire / Manuel : " + ConfigDCC3, Xmin-70, Ymin+30 + Ypas1*4);
      }

      textFont(PoliceTitre2);
      text("Niveau Sonore", Xmin-70, Ymin+120 + Ypas*0);
      text("Adresse DCC Son N°1", Xmin-70, Ymin+120 + Ypas*1);
      text("Nbre de Sons (Cmd DCC)", Xmin-70, Ymin+120 + Ypas*2);

      if (AdresseDCC1 > 0)
      {
        textFont(PoliceTitre4);
        int AdresseDCC2 = AdresseDCC1 + NbreSonsManuel;
        text("Adresses Sons en DCC de "+AdresseDCC1 + " à " + AdresseDCC2, Xmin-70, Ymin+120 + + Ypas*2 +Ypas1*1);
      }

      textFont(PoliceTitre2);
      text("N° du 1er Son en mode Aléatoire", Xmin-70, Ymin+230 + Ypas*0);
      text("Nombre de sons en mode Aléatoire", Xmin-70, Ymin+230 + Ypas*1);
      text("Tps Mini entre 2 fichiers Son ", Xmin-70, Ymin+230 + Ypas*2);
      text("Tps Maxi entre 2 fichiers Son ", Xmin-70, Ymin+230 + Ypas*3);

      BtEnvoiConfig.show();

      if (ModifParametres > 0)
      {
        BtEnvoiConfig.show();
      } else {
        BtEnvoiConfig.hide();
      }
    } else {
      Presentation
        .setSize(260, 300)
        .setPosition(530, 240);
    }
  }
}
