// *** Début Impression PDF ***

void DebutImpression()
{  
  if (CreePDF == true)
  {
    zeroM = "";
    zerom = "";
    zeroD = "";
    zeroH = "";

    if (minute() < 10) zerom = "0";
    if (day() < 10) zeroD = "0";
    if (month() < 10) zeroM = "0";
    if (hour() < 10) zeroH = "0";

    beginRecord(PDF, "/PDF/lecteur_sonore_"+year()+zeroM+month()+zeroD+day()+"_"+zeroH+hour()+"h"+zerom+minute()+"_"+NomPDF.getText()+".pdf");
  }
}

// *** Mode Affichage Impression ***
void ModeImpression()
{
  if (ModeImpresssion == true)
  {
    int ConfigDCC1 = ConfigDCC+1;
    int ConfigDCC2 = ConfigDCC+2;
    int ConfigDCC3 = ConfigDCC+3;
    fill(blanc);
    textFont(PoliceTitre2);
    text("Adresse Config DCC : "+ConfigDCC, Xmin-70, Ymin+130 + Ypas*0);
    textFont(PoliceTitre4);
    text("Adresse DCC Niveau sonore : " + ConfigDCC, Xmin-60, Ymin+130 + Ypas1*1);
    text("Adresse DCC Lecture / Pause : " + ConfigDCC1, Xmin-60, Ymin+130 + Ypas1*2);
    text("Adresse DCC Suivant / Précédent : " + ConfigDCC2, Xmin-60, Ymin+130 + Ypas1*3);
    text("Adresse DCC Aleatoire / Manuel : " + ConfigDCC3, Xmin-60, Ymin+130 + Ypas1*4);
    textFont(PoliceTitre2);
    text("Niveau Sonore : "+NiveauSonore, Xmin-70, Ymin+210 + Ypas*0);
    text("Adresse DCC Son N°1 : "+AdresseDCC1, Xmin-70, Ymin+210 + Ypas*1);
    text("Nbre de Sons (Cmd DCC) : "+NbreSonsManuel, Xmin-70, Ymin+210 + Ypas*2);
    int AdresseDCC2 = AdresseDCC1 + NbreSonsManuel;
    text("Adresses Sons en DCC de "+AdresseDCC1 + " à " + AdresseDCC2, Xmin-70, Ymin+210 + Ypas*3);
    text("N° du 1er Son en mode Aléatoire : "+NumSon1Aleatoire, Xmin-70, Ymin+210 + Ypas*4);
    text("Nombre de sons en mode Aléatoire : "+NbreSonsAleatoire, Xmin-70, Ymin+210 + Ypas*5);
    text("Tps Mini entre 2 fichiers Son : "+Interval_AleatoireB, Xmin-70, Ymin+210 + Ypas*6);
    text("Tps Maxi entre 2 fichiers Son : "+Interval_AleatoireH, Xmin-70, Ymin+210 + Ypas*7);

    if (ModeImpresssionOk == true)
    {
      fill (blanc);
      textFont(PoliceTitre3);
      text("Le fichier PDF a été généré.", Xmin-40, 532);
      text("Retrouvez le dans le répertoire /PDF/ du dossier de l'application.", Xmin-40, 548);
    }
  }

  // *** Fin Impression PDF ***
  if (CreePDF == true)
  {    
    CreePDF = false;
    Xmin = 100;
    int ConfigDCC1 = ConfigDCC+1;
    int ConfigDCC2 = ConfigDCC+2;
    int ConfigDCC3 = ConfigDCC+3;
    textFont(PoliceTitre1);
    fill (bleu);
    text("Réglage du Lecteur Sonore connecté à une carte ARDUINO", Xmin-40, 15+15);
    textFont(PoliceTitre2);
    fill (noir);
    text("Compatible avec la version V2 du programme de commande du lecteur sonore MP3", Xmin-40, 43+15);
    text("développée par la section Modélisme de l'UAICF Nevers-Vauzelles", Xmin-40, 63+15);
    textFont(PoliceTitre2);
    text("Adresse Config DCC : "+ConfigDCC, Xmin-70, Ymin+130 + Ypas*0);
    textFont(PoliceTitre4);
    text("Adresse DCC Niveau sonore : " + ConfigDCC, Xmin-60, Ymin+130 + Ypas1*1);
    text("Adresse DCC Lecture / Pause : " + ConfigDCC1, Xmin-60, Ymin+130 + Ypas1*2);
    text("Adresse DCC Suivant / Précédent : " + ConfigDCC2, Xmin-60, Ymin+130 + Ypas1*3);
    text("Adresse DCC Aleatoire / Manuel : " + ConfigDCC3, Xmin-60, Ymin+130 + Ypas1*4);
    textFont(PoliceTitre2);
    text("Niveau Sonore : "+NiveauSonore, Xmin-70, Ymin+210 + Ypas*0);
    text("Adresse DCC Son N°1 : "+AdresseDCC1, Xmin-70, Ymin+210 + Ypas*1);
    text("Nbre de Sons (Cmd DCC) : "+NbreSonsManuel, Xmin-70, Ymin+210 + Ypas*2);
    int AdresseDCC2 = AdresseDCC1 + NbreSonsManuel;
    text("Adresses Sons en DCC de "+AdresseDCC1 + " à " + AdresseDCC2, Xmin-70, Ymin+210 + Ypas*3);
    text("N° du 1er Son en mode Aléatoire : "+NumSon1Aleatoire, Xmin-70, Ymin+210 + Ypas*4);
    text("Nombre de sons en mode Aléatoire : "+NbreSonsAleatoire, Xmin-70, Ymin+210 + Ypas*5);
    text("Tps Mini entre 2 fichiers Son : "+Interval_AleatoireB, Xmin-70, Ymin+210 + Ypas*6);
    text("Tps Maxi entre 2 fichiers Son : "+Interval_AleatoireH, Xmin-70, Ymin+210 + Ypas*7);
    fill(bleu);
    text("Retrouvez les projets sur http://modelisme58.free.fr", Xmin-20, 580);
    fill(noir);
    text("Nom de la carte : ", Xmin-40, 180); 
    fill(rouge);
    text(NomPDF.getText(), Xmin-40+120, 180);
    endRecord();
  }
}
