//*** Déclaration des variables et constantes ***

//------ Déclaration pour générer le fichier PDF ---- 
import processing.pdf.*;


//------ Déclaration des Images ---- 
PImage ImageFond;
PImage ImageAccueil;
PImage ImageLogoUAICF;


//------ Déclaration des Polices ---- 
PFont PoliceBouton;
PFont PoliceIcone;
PFont PoliceArret;
PFont PolicePresentation;
PFont PoliceTitre1, PoliceTitre2, PoliceTitre3, PoliceTitre4;


//------ Déclaration des objets Boutons ----
import controlP5.*;
ControlP5 cp5;

ListBox ListPortCOM;
Textarea Presentation;
Textfield NomPDF;
Textlabel TexteRecupConfig, CreationPDF;
Textlabel TexteSelectSonM, TexteSelectSonA, TexteLecture, TexteAleatoire,  TexteCentrale;
Textfield TexteNiveauSonore, TexteAdresseDCC1, TexteConfigDCC, TexteNbreSonsM, TexteNbreSonsA, TexteNumSon1A, TexteTempsMini, TexteTempsMaxi;
Button BtNiveauSonorePlus, BtNiveauSonoreInter, BtNiveauSonoreMoins;
Button BtAdresseDCCPlus1, BtAdresseDCCPlus10, BtAdresseDCCInter, BtAdresseDCCMoins1, BtAdresseDCCMoins10;
Button BtConfigDCCPlus1, BtConfigDCCPlus10, BtConfigDCCInter, BtConfigDCCMoins1, BtConfigDCCMoins10;
Button BtNbreSonsPlus, BtNbreSonsInter, BtNbreSonsMoins;
Button BtNum1Plus, BtNum1Inter, BtNum1Moins;
Button BtNbSonsAleaPlus, BtNbSonsAleaInter, BtNbSonsAleaMoins;
Button BtTpsMiniPlus1, BtTpsMiniInter, BtTpsMiniMoins1, BtTpsMiniPlus10, BtTpsMiniMoins10;
Button BtTpsMaxiPlus1, BtTpsMaxiInter, BtTpsMaxiMoins1, BtTpsMaxiPlus10, BtTpsMaxiMoins10; 
Button BtEnvoiConfig, BtJouerM, BtJouerA;
Icon Arret, IconLecture, IconAleatoire;
Icon SelectPort, ScanPort, ImprimerPDF, GenererPDF;
Icon RecupConfig, EnregVitesse, EnregNbServos, IconCentrale;
Slider SliderSelectSonManuel, SliderSelectSonAleatoire;


//------ Déclaration des variables de couleur ---- 
int vert            = color(0, 128, 0); 
int rouge           = color(255, 0, 0); 
int bleu            = color(34, 66, 124);
int bleuInternet    = color(0, 0, 255);
int noir            = color(0, 0, 0); 
int blancgris       = color(240, 240, 240);
int blanc           = color(255, 255, 255); 
int gris            = color(160, 160, 160); 
int transparent     = color(255, 255, 255, 0); 
int choixcouleur    = color(255, 177, 17);
int CouleurFond     = gris;


//------ Déclaration des variables diverses ---- 

int Ecran_Haut;
int Ecran_Larg;
int Initialisation=0;
int Xmin = 100;
int Ymin = 120;
int Xpas = 100;
int Ypas = 25;
int Ypas1 = 15;
int TailleIcone = 25;
int EntreeCaractere;
int NbreCaractere;
boolean ValideConsigne;
int SelectionChar;
int ModifParametres;
int ModeConfiguration;
boolean ModeImpresssion;
boolean ModeImpresssionOk;
boolean CreePDF;
String zeroH, zeroM, zerom, zeroD;
int SelectSonManuel;
int SelectSonAleatoire;
int Mode_Centrale;


//*** Définition des paramètres pour la connexion port COM ****************************************
import processing.serial.*;              // Librairies à installer
String nom_du_port ;
Serial Mon_Port_COM;                     // L'objet qui gère le port série
boolean Connecte;
int NbrePort;
String[] Nom_Port = {"COM", "", "", "", ""};
int Ordre_Nom_Port;
boolean PortConnecte;
boolean ConnexionPortCOM = false;
boolean ReceptionInfo = false;
String ConfigPort;
boolean InitialisationPort;

//*** Définition des variables pour le lecteur sonore *********************************************
int NiveauSonore;
int Mode_Aleatoire;
int Mode_Lecture;
int NbreSonsManuel;
int NbreSonsAleatoire;
int AdresseDCC1;
int ConfigDCC;
int NumSon1Aleatoire;
int Interval_AleatoireB;
int Interval_AleatoireH;
