//*** Création des objets IP5 Control ***

void CreationBoutons()
{
  cp5 = new ControlP5(this);
  cp5.begin();

  IconCentrale=cp5.addIcon("iCentrale", 10)
    .setPosition(730, 565)
    .setSize(TailleIcone, TailleIcone )
    .setFont(PoliceIcone)
    .setFontIcons(61452, 61452)
    .setScale(0.7, 1)
    .setSwitch(true)
    .setColorForeground(vert)
    .setColorActive(vert)
   .hide()
    ;

  TexteCentrale= cp5.addTextlabel("TexteCentrale")
    .setPosition(530, 565)
    .setText("Type de Centrale DCC ?")
    .setColorValue(bleu)
    .setFont(PoliceTitre3)
    //   .hide();
    ;
    
  SliderSelectSonManuel=cp5.addSlider("SelectSonManuel")
    .setPosition(Xmin+30, 495)
    .setSize(140, 20)
    .setLabel("") 
    .setLabelVisible(true)
    .hide();
  ;


  SliderSelectSonAleatoire=cp5.addSlider("SelectSonAleatoire")
    .setPosition(Xmin+30, 525)
    .setSize(140, 20)
    .setLabel("") 
    .setLabelVisible(true)
    .hide();
  ;


  TexteSelectSonM = cp5.addTextlabel("SelectSonM")
    .setText("N° Son Manu")
    .setPosition(Xmin-70, 495)
    .setColorValue(blanc)
    .setFont(PoliceTitre3)
    .hide();
  ;


  TexteSelectSonA = cp5.addTextlabel("SelectSonA")
    .setText("N° Son Alea.")
    .setPosition(Xmin-70, 525)
    .setColorValue(blanc)
    .setFont(PoliceTitre3)
    .hide();
  ;


  RecupConfig = cp5.addIcon("RecupConfig", 10)
    .setPosition(730, 195)
    .setSize(TailleIcone, TailleIcone )
    .setFont(PoliceIcone)
    .setFontIcons(61573, 61573)
    .setScale(0.7, 1)
    .setSwitch(true)
    .setColorForeground(choixcouleur)
    .setColorActive(choixcouleur)
    .hide();
  ;

  ImprimerPDF = cp5.addIcon("BtPDF", 10)
    .setPosition(730, 160)
    .setSize(TailleIcone, TailleIcone )
    .setFont(PoliceIcone)
    .setFontIcons(61550, 61889)
    .setScale(0.7, 1)
    .setSwitch(true)
    .setColorForeground(rouge)
    .setColorActive(rouge)
    .hide();
  ;

  TexteRecupConfig = cp5.addTextlabel("TexteRecupConfig")
    .setText("Récupérer la configuration >>>")
    .setPosition(528, 195)
    .setColorValue(bleu)
    .setFont(PoliceTitre3)
    .hide();
  ;

  NomPDF=cp5.addTextfield("Nom du fichier PDF")
    .setPosition(Xmin-40, 170)
    .setSize(250, 24)
    .setFont(PoliceTitre2)
    .setFocus(true)
    .setColor(blanc)
    .hide()
    ;

  GenererPDF = cp5.addIcon("GenererPDF", 10)
    .setPosition(Xmin + 230, 170)
    .setSize(TailleIcone, TailleIcone )
    .setFont(PoliceIcone)
    .setFontIcons(61487, 61487)
    .setScale(0.7, 1)
    .setSwitch(true)
    .setColorForeground(vert)
    .setColorActive(vert)
    .hide();
  ;

  CreationPDF=cp5.addTextlabel("TitrePDF")
    .setFont(PoliceTitre1)
    .setPosition(10, 120)
    .setText("Création du fichier PDF de configuration")
    .hide()
    ;

  Presentation = cp5.addTextarea("Aide")
    .setPosition(530, 185)
    .setSize(260, 100)
    .setFont(PolicePresentation)
    .setFont(createFont("arial", 13))
    .setLineHeight(14)
    .setColor(noir)
    .setColorBackground(transparent)
    .setColorForeground(choixcouleur)
    .setText("Au préalable, téléverser le programme dans une carte Arduino UNO ou NANO.\n\n"
    +"1 - Connecter la carte Arduino avec un câble USB à cet ordinateur.\n\n"
    +"2 - Sélectionner et valider le port connecté la carte Arduino.\n\n"
    +"3 - Après 1 à 2 secondes, interroger la carte ARDUINO à l'aide du bouton pour récupérer la configuration.\n\n"
    +"4 - Changer les paramètres à l'aide des boutons.\n\n"
    +"5 - Cliquer sur le bouton \"Envoyer les modifications\" pour enregistrer les paramètres dans la mémoire de la carte Arduino.\n\n"
    +"6 - Sélectionner un numéro de fichier Son et cliquer sur le bouton \"Jouer\" pour lancer la lecture du fichier Mp3.\n\n"
    +"7 - Cliquer sur l'icône PDF pour générer un fichier PDF comprenant les paramètres enregistrés dans la mémoire de la carte Arduino. Cliquer ensuite sur l'icône \"Imprimante\"."
    );

  ListPortCOM = cp5.addListBox("PortCOM")
    .setPosition(530, 120)
    .setSize(150, 18)
    .setItemHeight(18)
    .setWidth(150)   
    .setFont(PoliceBouton)
    .setBarHeight(18)
    .setColorBackground(rouge)
    .setColorActive(noir)
    .setColorForeground(choixcouleur)
    .setBackgroundColor(noir) 
    ;

  ListPortCOM.getCaptionLabel().toUpperCase(true);
  ListPortCOM.getCaptionLabel().set("Port COM");
  ListPortCOM.getCaptionLabel().setColor(blanc);

  PortCOM();
  AffichePortCOM();

  cp5.addIcon("ScanPort", 10)
    .setPosition(695, 120)
    .setSize(TailleIcone, TailleIcone)
    .setFont(PoliceIcone)
    .setFontIcons(61666, 61666)
    .setScale(0.7, 1)
    .setSwitch(true)
    .setColorForeground(choixcouleur)
    .setColorActive(choixcouleur)
    ;

  SelectPort = cp5.addIcon("SelectPort", 10)
    .setPosition(735, 120)
    .setSize(TailleIcone, TailleIcone)
    .setFont(PoliceIcone)
    .setFontIcons(61926, 61926)
    .setScale(0.7, 1)
    .setSwitch(true)
    .setColorForeground(rouge)
    .setColorActive(rouge)
    .hide();
  ;

  cp5.addIcon("iArret", 10)
    .setPosition(725, 20)
    .setSize(40, 40)
    .setFont(PoliceArret)
    .setFontIcons(61861, 61861)
    .setScale(0.7, 1)
    .setSwitch(true)
    .setColorForeground(rouge)
    .setColorActive(rouge)
    ;

  IconLecture=cp5.addIcon("iLecture", 5)
    .setPosition(710, 255)
    .setSize(20, 20)
    .setFont(PoliceIcone)
    .setFontIcons(61457, 61457)
    .setScale(0.7, 1)
    .setSwitch(true)
    .setColorForeground(choixcouleur)
    .setColorActive(choixcouleur)
    .hide()
    ;

  TexteLecture= cp5.addTextlabel("TexteLecture")
    .setPosition(550, 255)
    .setColorValue(blanc)
    .setFont(PoliceTitre3)
    .hide();
  ;

  IconAleatoire=cp5.addIcon("iAleatoire", 10)
    .setPosition(710, 297)
    .setSize(20, 20)
    .setFont(PoliceIcone)
    .setFontIcons(61457, 61457)
    .setScale(0.7, 1)
    .setSwitch(true)
    .setColorForeground(choixcouleur)
    .setColorActive(choixcouleur)
    .hide()
    ;

  TexteAleatoire= cp5.addTextlabel("TexteAleatoire")
    .setPosition(550, 297)
    .setColorValue(blanc)
    .setFont(PoliceTitre3)
    .hide();
  ;


  TexteNiveauSonore=cp5.addTextfield("NiveauSonore")
    .setFont(PoliceBouton)
    .setPosition(Xmin+190, Ymin+18+90+ Ypas*0)
    .setSize(30, 15)
    .setLabel(" ")
    .setColor(blanc)
    .setColorLabel(noir)
    .setColorBackground(vert)
    .setColorForeground(vert)
    .setLabelVisible(false)
    .setValue(str(NiveauSonore))
    .lock() 
    .hide()
    ;

  TexteAdresseDCC1=cp5.addTextfield("AdresseDCC1")
    .setFont(PoliceBouton)
    .setPosition(Xmin+190, Ymin+18+90+ Ypas*1)
    .setSize(30, 15)
    .setLabel(" ")
    .setColor(blanc)
    .setColorLabel(noir)
    .setColorBackground(vert)
    .setColorForeground(vert)
    .setLabelVisible(false)
    .setValue(str(NiveauSonore))
    .lock() 
    .hide()
    ;

  TexteConfigDCC=cp5.addTextfield("ConfigDCC")
    .setFont(PoliceBouton)
    .setPosition(Xmin+190, Ymin+18+ Ypas*0)
    .setSize(30, 15)
    .setLabel(" ")
    .setColor(blanc)
    .setColorLabel(noir)
    .setColorBackground(vert)
    .setColorForeground(vert)
    .setLabelVisible(false)
    .setValue(str(NiveauSonore))
    .lock() 
    .hide()
    ;

  TexteNbreSonsM=cp5.addTextfield("NbreSonsM")
    .setFont(PoliceBouton)
    .setPosition(Xmin+190, Ymin+110 + Ypas*2)
    .setSize(30, 15)
    .setLabel(" ")
    .setColor(blanc)
    .setColorLabel(noir)
    .setColorBackground(vert)
    .setColorForeground(vert)
    .setLabelVisible(false)
    .setValue(str(NiveauSonore))
    .lock() 
    .hide()
    ;

  TexteNbreSonsA=cp5.addTextfield("NbreSonsA")
    .setFont(PoliceBouton)
    .setPosition(Xmin+190, Ymin+218 + Ypas*1)
    .setSize(30, 15)
    .setLabel(" ")
    .setColor(blanc)
    .setColorLabel(noir)
    .setColorBackground(vert)
    .setColorForeground(vert)
    .setLabelVisible(false)
    .setValue(str(NiveauSonore))
    .lock() 
    .hide()
    ;

  TexteNumSon1A=cp5.addTextfield("NumSon1A")
    .setFont(PoliceBouton)
    .setPosition(Xmin+190, Ymin+217 + Ypas*0)
    .setSize(30, 15)
    .setLabel(" ")
    .setColor(blanc)
    .setColorLabel(noir)
    .setColorBackground(vert)
    .setColorForeground(vert)
    .setLabelVisible(false)
    .setValue(str(NiveauSonore))
    .lock() 
    .hide()
    ;

  TexteTempsMini=cp5.addTextfield("TempsMini")
    .setFont(PoliceBouton)
    .setPosition(Xmin+190, Ymin+217 + Ypas*2)
    .setSize(30, 15)
    .setLabel(" ")
    .setColor(blanc)
    .setColorLabel(noir)
    .setColorBackground(vert)
    .setColorForeground(vert)
    .setLabelVisible(false)
    .setValue(str(NiveauSonore))
    .lock() 
    .hide()
    ;

  TexteTempsMaxi=cp5.addTextfield("TempsMaxi")
    .setFont(PoliceBouton)
    .setPosition(Xmin+190, Ymin+217 + Ypas*3)
    .setSize(30, 15)
    .setLabel(" ")
    .setColor(blanc)
    .setColorLabel(noir)
    .setColorBackground(vert)
    .setColorForeground(vert)
    .setLabelVisible(false)
    .setValue(str(NiveauSonore))
    .lock() 
    .hide()
    ;

  BtNiveauSonorePlus = cp5.addButton("BtNivSonoreP")
    .setFont(PoliceBouton)
    .setPosition(Xmin+330, Ymin+15+90+ Ypas*0)
    .setSize(20, 20)
    .setLabel("+")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtNiveauSonoreInter = cp5.addButton("BtNivSonoreQ")
    .setFont(PoliceBouton)
    .setPosition(Xmin+300, Ymin+15+90+ Ypas*0)
    .setSize(20, 20)
    .setLabel("?")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtNiveauSonoreMoins = cp5.addButton("BtNivSonoreM")
    .setFont(PoliceBouton)
    .setPosition(Xmin+270, Ymin+15+90+ Ypas*0)
    .setSize(20, 20)
    .setLabel("-")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtAdresseDCCPlus1 = cp5.addButton("BtAdresseDCCP1")
    .setFont(PoliceBouton)
    .setPosition(Xmin+330, Ymin+15+90+ Ypas*1)
    .setSize(20, 20)
    .setLabel("+1")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtAdresseDCCPlus10 = cp5.addButton("BtAdresseDCCP10")
    .setFont(PoliceBouton)
    .setPosition(Xmin+360, Ymin+15+90+ Ypas*1)
    .setSize(20, 20)
    .setLabel("+10")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtAdresseDCCInter = cp5.addButton("BtAdresseDCCQ")
    .setFont(PoliceBouton)
    .setPosition(Xmin+300, Ymin+15+90+ Ypas*1)
    .setSize(20, 20)
    .setLabel("?")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtAdresseDCCMoins1 = cp5.addButton("BtAdresseDCCM1")
    .setFont(PoliceBouton)
    .setPosition(Xmin+270, Ymin+15+90+ Ypas*1)
    .setSize(20, 20)
    .setLabel("-1")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtAdresseDCCMoins10 = cp5.addButton("BtAdresseDCCM10")
    .setFont(PoliceBouton)
    .setPosition(Xmin+240, Ymin+15+90+ Ypas*1)
    .setSize(20, 20)
    .setLabel("-10")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtConfigDCCPlus1 = cp5.addButton("BtConfigDCCP1")
    .setFont(PoliceBouton)
    .setPosition(Xmin+330, Ymin+15+ Ypas*0)
    .setSize(20, 20)
    .setLabel("+1")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtConfigDCCPlus10 = cp5.addButton("BtConfigDCCP10")
    .setFont(PoliceBouton)
    .setPosition(Xmin+360, Ymin+15+ Ypas*0)
    .setSize(20, 20)
    .setLabel("+10")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtConfigDCCInter = cp5.addButton("BtConfigDCCQ")
    .setFont(PoliceBouton)
    .setPosition(Xmin+300, Ymin+15+ Ypas*0)
    .setSize(20, 20)
    .setLabel("?")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;


  BtConfigDCCMoins1 = cp5.addButton("BtConfigDCCM1")
    .setFont(PoliceBouton)
    .setPosition(Xmin+270, Ymin+15+ Ypas*0)
    .setSize(20, 20)
    .setLabel("-1")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;


  BtConfigDCCMoins10 = cp5.addButton("BtConfigDCCM10")
    .setFont(PoliceBouton)
    .setPosition(Xmin+240, Ymin+15+ Ypas*0)
    .setSize(20, 20)
    .setLabel("-10")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtNbreSonsPlus = cp5.addButton("BtNbreSonsPlus")
    .setFont(PoliceBouton)
    .setPosition(Xmin+330, Ymin+108 + Ypas*2)
    .setSize(20, 20)
    .setLabel("+")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtNbreSonsInter = cp5.addButton("BtNbreSonsInter")
    .setFont(PoliceBouton)
    .setPosition(Xmin+300, Ymin+108 + Ypas*2)
    .setSize(20, 20)
    .setLabel("?")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtNbreSonsMoins = cp5.addButton("BtNbreSonsMoins")
    .setFont(PoliceBouton)
    .setPosition(Xmin+270, Ymin+108 + Ypas*2)
    .setSize(20, 20)
    .setLabel("-")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtNum1Plus = cp5.addButton("BtNum1Plus")
    .setFont(PoliceBouton)
    .setPosition(Xmin+330, Ymin+215 + Ypas*0)
    .setSize(20, 20)
    .setLabel("+")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtNum1Inter = cp5.addButton("BtNum1Inter")
    .setFont(PoliceBouton)
    .setPosition(Xmin+300, Ymin+215 + Ypas*0)
    .setSize(20, 20)
    .setLabel("?")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtNum1Moins = cp5.addButton("BtNum1Moins")
    .setFont(PoliceBouton)
    .setPosition(Xmin+270, Ymin+215 + Ypas*0)
    .setSize(20, 20)
    .setLabel("-")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtNbSonsAleaPlus = cp5.addButton("BtNbSonsAleaPlus")
    .setFont(PoliceBouton)
    .setPosition(Xmin+330, Ymin+215 + Ypas*1)
    .setSize(20, 20)
    .setLabel("+")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtNbSonsAleaInter = cp5.addButton("BtNbSonsAleaInter")
    .setFont(PoliceBouton)
    .setPosition(Xmin+300, Ymin+215 + Ypas*1)
    .setSize(20, 20)
    .setLabel("?")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtNbSonsAleaMoins = cp5.addButton("BtNbSonsAleaMoins")
    .setFont(PoliceBouton)
    .setPosition(Xmin+270, Ymin+215 + Ypas*1)
    .setSize(20, 20)
    .setLabel("-")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtTpsMiniPlus1 = cp5.addButton("BtTpsMiniPlus1")
    .setFont(PoliceBouton)
    .setPosition(Xmin+330, Ymin+215 + Ypas*2)
    .setSize(20, 20)
    .setLabel("+1")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtTpsMiniPlus10 = cp5.addButton("BtTpsMiniPlus10")
    .setFont(PoliceBouton)
    .setPosition(Xmin+360, Ymin+215 + Ypas*2)
    .setSize(20, 20)
    .setLabel("+10")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtTpsMiniInter = cp5.addButton("BtTpsMiniInter")
    .setFont(PoliceBouton)
    .setPosition(Xmin+300, Ymin+215 + Ypas*2)
    .setSize(20, 20)
    .setLabel("?")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtTpsMiniMoins1 = cp5.addButton("BtTpsMiniMoins1")
    .setFont(PoliceBouton)
    .setPosition(Xmin+270, Ymin+215 + Ypas*2)
    .setSize(20, 20)
    .setLabel("-1")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtTpsMiniMoins10 = cp5.addButton("BtTpsMiniMoins10")
    .setFont(PoliceBouton)
    .setPosition(Xmin+240, Ymin+215 + Ypas*2)
    .setSize(20, 20)
    .setLabel("-10")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtTpsMaxiPlus1 = cp5.addButton("BtTpsMaxiPlus1")
    .setFont(PoliceBouton)
    .setPosition(Xmin+330, Ymin+215 + Ypas*3)
    .setSize(20, 20)
    .setLabel("+1")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtTpsMaxiPlus10 = cp5.addButton("BtTpsMaxiPlus10")
    .setFont(PoliceBouton)
    .setPosition(Xmin+360, Ymin+215 + Ypas*3)
    .setSize(20, 20)
    .setLabel("+10")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtTpsMaxiInter = cp5.addButton("BtTpsMaxiInter")
    .setFont(PoliceBouton)
    .setPosition(Xmin+300, Ymin+215 + Ypas*3)
    .setSize(20, 20)
    .setLabel("?")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtTpsMaxiMoins1 = cp5.addButton("BtTpsMaxiMoins1")
    .setFont(PoliceBouton)
    .setPosition(Xmin+270, Ymin+215 + Ypas*3)
    .setSize(20, 20)
    .setLabel("-1")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtTpsMaxiMoins10 = cp5.addButton("BtTpsMaxiMoins10")
    .setFont(PoliceBouton)
    .setPosition(Xmin+240, Ymin+215 + Ypas*3)
    .setSize(20, 20)
    .setLabel("-10")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtEnvoiConfig = cp5.addButton("EnvoiConfig")
    .setFont(PoliceBouton)
    .setPosition(Xmin+190, Ymin+215 + Ypas*4)
    .setSize(190, 20)
    .setLabel("Envoyer les Modifications")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtJouerM = cp5.addButton("BtJouerM")
    .setFont(PoliceBouton)
    .setPosition(290, 495)
    .setSize(60, 20)
    .setLabel("Jouer")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  BtJouerA = cp5.addButton("BtJouerA")
    .setFont(PoliceBouton)
    .setPosition(290, 525)
    .setSize(60, 20)
    .setLabel("Jouer")
    .setColorActive(vert) 
    .setColorForeground(choixcouleur) 
    .hide()
    ;

  cp5.end();
}
