//*** Commandes des boutons pour Port COM ***

void ScanPort(boolean LaValeur)
{
  PortConnecte=false;
  ModeImpresssion = false;
  ModeImpresssionOk = false;
  NomPDF.hide();
  GenererPDF.hide();
  CreationPDF.hide();
  Initialisation = 1;
  ImprimerPDF
    .hide()
    .setOff();

  AffichePortCOM();
  if (NbrePort >0)  
  {
    SelectPort.show();
  } else {
    SelectPort.hide();
  }
}

void SelectPort(boolean LaValeur)
{
  PortCOM();
  int Port = (int) ListPortCOM.getValue();
  Ordre_Nom_Port++;
  PortConnecte = false;
  for (int k = 1; k<5; k++)
  {
    if (Nom_Port[k].equals (Serial.list()[Port]))
    {
      PortConnecte = true;
    }
  }

  if (PortConnecte == false)
  {
    Mon_Port_COM = new Serial(this, Serial.list()[Port], 9600);
    Nom_Port[Ordre_Nom_Port] = Serial.list()[Port];
    PortConnecte =true;
  }

  ListPortCOM.getCaptionLabel().set("Port "+Serial.list()[Port]);
  ListPortCOM
    .close()
    .setColorBackground(vert)
    .setColorActive(noir)
    .setBackgroundColor(blanc)
    .setColorForeground(vert)
    .getCaptionLabel().setColor(blanc)
    ;
}


// *** Fonctions port COM **************************************************************************
void AffichePortCOM()
{
  if (PortConnecte)
  {
    Mon_Port_COM.write("$R\n");
    print("$R\n");
  }

  ListPortCOM.clear();

  PortCOM();
  if (NbrePort == 0)
  {
    ListPortCOM.getCaptionLabel().set("Pas de Port Série");
    RecupConfig.hide();
    TexteRecupConfig.hide();
    ListPortCOM
      .setColorForeground(rouge)
      .setColorBackground(rouge)
      .setColorActive(noir)
      .setColorForeground(rouge)
      .setBackgroundColor(blanc)
      ;
    ModeImpresssionOk = false;
  } else {
    ListPortCOM.getCaptionLabel().set("Choisir un port");

    ListPortCOM
      .setColorBackground(rouge)
      .setColorActive(noir)
      .setColorForeground(rouge)
      .setBackgroundColor(blanc)
      .open()
      ;

    for (int i=0; i<NbrePort; i++)
    {
      ListPortCOM.addItem(Serial.list()[i], i);
      ListPortCOM.getItem(Serial.list()[i]).put("color", new CColor().setBackground(choixcouleur));
    }


    if (NbrePort ==1)
    {
      PortConnecte = true;
      //   Initialisation=1;
      println(Serial.list()[0]);
      Mon_Port_COM = new Serial(this, Serial.list()[0], 9600);

      Nom_Port[1] = Serial.list()[0];

      ListPortCOM.getCaptionLabel().set("Port "+Serial.list()[0]);
      ListPortCOM
        .close()
        .setColorBackground(vert)
        .setColorActive(noir)
        .setBackgroundColor(blanc)
        .setColorForeground(vert)
        .getCaptionLabel().setColor(blanc)
        ;
    }
  }

  int HauteurMenuDeroulant;
  if (NbrePort < 3)
  {
    HauteurMenuDeroulant = 18+18*NbrePort;
  } else {
    HauteurMenuDeroulant = 18+18*2;
  }
  ListPortCOM.setSize(150, HauteurMenuDeroulant);
}



//*** Cherche le port COM *******************************************************************************

void PortCOM()
{
  // *** Fermeture des ports existants ***
  if (ConnexionPortCOM == true)
  {
    Mon_Port_COM.clear();
    Mon_Port_COM.stop ();
    ConnexionPortCOM = false;
  }
  //*** Recherche du port COM
  CherchePortCOM();

  NbrePort = Serial.list().length;
}

static final String CherchePortCOM()
{
  String[] ports = Serial.list();
  for (String p : ports)  for (int i = 0; i <= 30; ++i)
  {
    if (p.equals("COM" + i))          return p;
    if (p.equals("/dev/ttyACM" + i))  return p;
    if (p.equals("/dev/ttyAMA" + i))  return p;
    if (p.equals("/dev/ttyUSB" + i))  return p;
  }
  return null;
}
